﻿using System;
using twitchbot;

namespace Plugins
{
    [ApiVersion(0, 1)]
    public class Plugin : TwitchBot
    {
        public override Version Version => new Version(0, 1);
        public override string Name => "Example Plugin";
        public override void Initialize()
        {
            ChatRoom.UserJoinEvent += OnJoin;
        }
        public override void Dispose()
        {
            ChatRoom.UserJoinEvent -= OnJoin;
        }
        private void OnJoin(object sender, ChatRoom.JoinEventArgs e)
        {
            ChatRoom.Instance.SendMessage("Welcome " + e.UserName);
        }
    }
}
